package com.pesets.game.skills;

import com.pesets.game.Enemy;
import com.pesets.game.Player;
import com.pesets.resources.ResourceManager;

public class SkillBackstab extends Skill {

	@Override
	public void cast(Player player, Enemy target) {
		float damage = player.getAgility() * 0.2f * getLevel();
		target.skillHit(player, (int) damage, EffectArmorReduction, 3f);
		ResourceManager.getInstance().playSound("sword.mp3");
	}

	@Override
	public String getName() {
		return "Backstab";
	}

	@Override
	public ActEvent getEvent() {
		return ActEvent.Cast;
	}

	@Override
	public int getIcon() {
		return 6;
	}

	@Override
	public float getMaxColdown() {
		return 5f;
	}
	
	@Override
	public String getDescription() {
		return "Deals (agility * 0.2 * level) damage and reducing target armor by 50% for 3 seconds\nColdown: 5 sec";
	}

}
